Skip to main content
PATCH
/
v2
/
customer
/
update
Updates a customer
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/customer/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "accountsReceivableNumber": 123,
  "birthday": "2023-11-07T05:31:56Z",
  "commercialRegisterNumber": "<string>",
  "customerNumber": "<string>",
  "ebayName": "<string>",
  "homepage": "<string>",
  "initialContact": "<string>",
  "isCashRegisterBased": true,
  "isLocked": true,
  "languageIso": "<string>",
  "taxIdentificationNumber": "<string>",
  "addresses": [
    {
      "customerAddressId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "addressType": 0,
      "street": "<string>",
      "additionalAddressLine": "<string>",
      "city": "<string>",
      "postalCode": "<string>",
      "state": "<string>",
      "countryIso": "<string>",
      "emailAddress": "<string>",
      "phoneNumber": "<string>",
      "mobilePhoneNumber": "<string>",
      "faxNumber": "<string>",
      "vatId": "<string>",
      "salutation": "<string>",
      "title": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "companyName": "<string>",
      "additionalCompanyLine": "<string>",
      "isDefaultAddress": true
    }
  ],
  "paymentSettings": {
    "creditLimit": 123,
    "paymentDueDateInDays": 123,
    "discount": 123,
    "isDunningBlocked": true
  },
  "createdDate": "2023-11-07T05:31:56Z"
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Updates a customer - Request

customerId
string<uuid>

Id of the customer.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyId
string<uuid>

Id of the company the customer belongs to. Optional — if omitted, the existing company assignment is left unchanged.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerGroupId
string<uuid>

Customer group for the customer to be in.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerCategoryId
string<uuid>

The customers category ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The customers preferred payment method ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

accountsReceivableNumber
integer<int32>

The accounts receivable number of the customer.

birthday
string<date-time>

The customer's date of birth.

commercialRegisterNumber
string

The customer's commercial register number.

customerNumber
string

Number of the customer. If no number is given when posting a customer, the number will be generated automatically.

ebayName
string

The customers ebay name.

homepage
string

The customers homepage URL.

initialContact
string

The source of initial contact. This could be for example a specific sales channel, a convention or a marketing campaign.

isCashRegisterBased
boolean

States if a customer is from a cash-register or point of sale and if their data should be synchronized with JTL-POS, for example.

isLocked
boolean

The customer's locked status.

languageIso
string

The customer's preferred language in ISO format (e.g. "de", "en").

taxIdentificationNumber
string

The customer's tax identification number.

addresses
object[]

Addresses of the customer.

paymentSettings
object

Settings relevant to payment for the customer.

createdDate
string<date-time>

The date and time of the customer's creation.

Response

200 - application/json

Customer changed successfully